name: hmg_patient_app_new
description: "New HMG Patient App"
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 0.0.25+24
#version: 0.0.1+23

environment:
  sdk: ">=3.6.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  cupertino_icons: ^1.0.8
  cached_network_image: ^3.4.1
  http: ^1.5.0
  flutter_svg: ^2.2.0
  shared_preferences: ^2.5.3
  connectivity_plus: ^6.1.5
  auto_size_text: ^3.0.0
  shimmer: ^3.0.0
  sizer: ^3.1.3
  easy_localization: ^3.0.8
  fluttertoast: ^8.2.12
  flutter_rating_bar: ^4.0.1
  firebase_messaging: ^15.2.10
  #  firebase_messaging: any
  firebase_core: any
  #  firebase_core: ^3.13.1
  permission_handler: ^12.0.1
  flutter_local_notifications: ^19.4.1
  timezone: ^0.10.0
  provider: ^6.1.5+1
  get_it: ^8.2.0
  just_audio: ^0.10.4
  #  flutter_callkit_incoming:
  #    git:
  #      url: https://github.com/hiennguyen92/flutter_callkit_incoming.git
  #      ref: dev
  url_launcher: ^6.3.2
  logger: ^2.6.1
  lottie: ^3.3.1
  flutter_ios_voip_kit_karmm: ^0.8.0
  image_picker: ^1.2.0
  file_picker: 10.3.8
  local_auth: ^2.3.0
  share_plus: ^11.1.0
  device_calendar_plus:
    path: ./package/device_calendar_plus
  device_calendar:
    git: https://github.com/bardram/device_calendar
  manage_calendar_events: ^2.0.3
  flutter_inappwebview: ^6.1.5
  #  webview_flutter: ^4.13.0
  syncfusion_flutter_calendar: ^30.2.7
  device_info_plus: ^11.5.0
  uuid: ^4.5.1
  health: ^13.1.3
  #  health: 12.0.1
  fl_chart: 1.0.0
  geolocator: ^14.0.2
  dropdown_search: ^6.0.2
  google_maps_flutter: ^2.13.1
  flutter_zoom_videosdk: 2.1.10
  dart_jsonwebtoken: ^3.2.0
  dartz: ^0.10.1
  equatable: ^2.0.7
  google_api_availability: ^5.0.1
  firebase_analytics: ^11.5.1
  firebase_crashlytics: ^4.3.8
  jiffy: ^6.4.3
#  hijri_gregorian_calendar:
#    path: /Users/aamir/StudioProjects/hijri_gregorian_calendar
  sms_otp_auto_verify: ^2.2.0
  web: any
  flutter_staggered_animations: ^1.1.1
  smooth_corner: ^1.1.1
  map_launcher: ^4.4.3
  amazon_payfort: ^1.1.4
  network_info_plus: ^6.1.4
  flutter_nfc_kit: ^3.6.0
  barcode_scan2: ^4.6.0
  keyboard_actions: ^4.2.0
  path_provider: ^2.0.8
  open_filex: ^4.7.0
  flutter_swiper_view:
    path: package/flutter_swiper_view
  flutter_callkit_incoming: ^3.0.0
  in_app_update: ^4.2.5
#  device_preview: ^1.3.1
  image_picker_android: ^0.8.13+16
  image_picker_platform_interface: ^2.10.0

  location: ^8.0.1
  gms_check: ^1.0.4
  huawei_location: ^6.14.2+301
  huawei_health: ^6.15.0+300
  intl: ^0.20.2
  flutter_widget_from_html: ^0.17.1
  huawei_map: ^6.12.0+301
  flutter_image_compress: ^2.3.0

  scrollable_positioned_list: ^0.3.8

  in_app_review: ^2.0.11

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0


flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/json/
    - assets/fonts/
    - assets/langs/
    - assets/images/
    - assets/images/png/body_parts/male/
    - assets/images/png/body_parts/female/
    - assets/images/svg/
    - assets/images/png/
    - assets/images/clinicIcons/
    - assets/images/png/zoom/
    - assets/images/png/smartwatches/
    - assets/animations/
    - assets/animations/lottie/

  fonts:
    - family: CairoArabic
      fonts:
        - asset: assets/fonts/cairo/Cairo-ExtraBold.ttf
          weight: 700
        - asset: assets/fonts/cairo/Cairo-Bold.ttf
          weight: 600
        - asset: assets/fonts/cairo/Cairo-SemiBold.ttf
          weight: 500
        - asset: assets/fonts/cairo/Cairo-Medium.ttf
          weight: 400
        - asset: assets/fonts/cairo/Cairo-Regular.ttf
          weight: 300

    - family: Poppins
      fonts:
        #        - asset: assets/fonts/poppins/Poppins-Black.ttf
        #          weight: 900
        #        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
        #          weight: 800
        #        - asset: assets/fonts/poppins/Poppins-Bold.ttf
        #          weight: 700
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/poppins/Poppins-Light.ttf
          weight: 300
    #        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
    #          weight: 200
    #        - asset: assets/fonts/poppins/Poppins-Thin.ttf
    #          weight: 100


    - family: GESSTwo22
      fonts:
        - asset: assets/fonts/gess_two/GE_SS_Two_Bold.otf
          weight: 600
        - asset: assets/fonts/gess_two/GE_SS_Two_Medium.otf
          weight: 500
        - asset: assets/fonts/gess_two/GE_SS_Two_Light.otf
          weight: 400

